//////////////////////////////////////////////////
///////////Objectshaders Main Headerfile//////////
//////////////////////////////////////////////////
////02.04.2008////////////////by Nils Daumann/////
/////////////slindev.wordpress.com////////////////
//////////////////////////////////////////////////


#include "OS_Helper.c"

#include "OS_Water.c"
#include "OS_MultiTex.c"
#include "OS_C_MultiTex.c"
#include "OS_Waterfall.c"
#include "OS_O_PPLighting.c"
#include "OS_CO_PPLighting.c"
#include "OS_I_PPLighting.c"
#include "OS_CI_PPLighting.c"
#include "OS_O_Normalmapping.c"
#include "OS_CO_Normalmapping.c"
#include "OS_I_Normalmapping.c"
#include "OS_CI_Normalmapping.c"
#include "OS_HeatHaze.c"
#include "OS_Blend.c"
#include "OS_Glow.c"
#include "OS_Ice.c"

#include "OS_Water_Tools.c"
#include "OS_Terrain_Tools.c"



/*
X normal mapping with specularity (while I can control spec via alpha map and at least 4 lights for indoor and sun plus 3 lights for outdoor)
# same as above but with parallax occlusion mapping (additional height map is needed)
# same as above but with support of a static lightmap via second uv-set to create level geometry from models
# normal or parallax mapping but with support of transparent parts (for grates, plants, foliage)
X water shader with animated normal map for waves, reflection and refraction
# underwater shader with refraction, faked caustics and fog
# faked caustics for indoor scenes where water reflects light onto walls
- simple per pixel lighting with and without specularity (when no mormal maps are needed)
# toon shader with or without static lightmaps
# reflection with some dirt applied for mirrors
# reflection with some glass and dirt effect for window panes
- haze refraction for hot air, fire
X depth of field for camera focus in cut-scenes
X radial blur with color adjustment for visual effects
# any shadow method like shadow mapping, trapezoid shadow mapping, variance shadow mapping
X Bloom to add contrast and slightly blurred lights
*/