//////////////////////////////////////////////////
/////////////////Waterfalleffect//////////////////
//////////////////////////////////////////////////
////04.04.2008////////////////by Nils Daumann/////
/////////////slindev.wordpress.com////////////////
//////////////////////////////////////////////////

#ifndef OS_Waterfall
#define OS_Waterfall


//ffp waterfall
MATERIAL* OS_Waterfall_ffp_mat =
{
	effect =
	"
		texture entSkin1;
		float4x4 matMtl;
		
		technique waterfall
		{    
			pass p0
			{
				Texture[0] = <entSkin1>;
				
				TexCoordIndex[0] = 1;
				TextureTransformFlags[0] = Count2;
				TextureTransform[0] = <matMtl>;
				
				ColorArg1[0] = Texture;
				ColorOp[0] = SelectArg1;
				
				CullMode=none;
			}
		}
	";
}

//adds the shader to the entity
void OS_Waterfall_init(ENTITY* Ent, float Speed)
{
	OS_Mtl_set(Ent,OS_Waterfall_ffp_mat);
	
	float Movement = random(100);
	mat_identity(Ent.material.matrix);
	
	while((Ent != NULL))
	{
		Movement -= time_step*0.01*Speed;
		
		Ent.material.matrix32 = Movement;
		
		wait(1);
	}
}

#endif